#
# spec file for package python-imagesize
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-imagesize
Version:        1.4.1
Release:        2.6
Summary:        Getting image size from PNG/JPEG/JPEG2000/GIF files
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/shibukawa/imagesize_py
Source:         https://files.pythonhosted.org/packages/source/i/imagesize/imagesize-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
BuildArch:      noarch

%python_subpackages

%description
Pure Python library which parses image files' header and returns the image size.

Supported formats:
 * PNG
 * JPEG
 * JPEG2000
 * GIF

%prep
%setup -q -n imagesize-%{version}

%build
%python_build

%install
%python_install

%check
rm -v test/test_get_filelike.py
%pytest

%files %{python_files}
%{python_sitelib}/*
%doc README.rst

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Sat Jul 23 2022 Dirk Müller <dmueller@suse.com>
- update to 1.4.1:
  * python 3.10 compat
  * documentation updates
* Mon Nov 29 2021 Dirk Müller <dmueller@suse.com>
- update to 1.3.0:
  * Python 3.9 compat
  * Fix exception on corrupt JPEG files
  * Fix error on long float numbers
  * improving netpbm error messages
  * remove dependency on nose
* Fri Feb 28 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.2.0:
  * add SVG testsuite
  * Python 3.8 compat
* Tue May  7 2019 pgajdos@suse.com
- version update to 1.1.0
  * add TIFF support (experimental)
- enable testsuite
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Feb 23 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.0.0:
  * Document project is stable and ready for use in production
  * Skip FFC4, FFC8, FFCC markers
  * Clean up all whitespace throughout project
  * Include license file in the generated wheel package
  * Enable pip cache in Travis CI
  * Test and document all supported Python versions
  * Rename [wheel] section to [bdist_wheel] as the former is legacy
  * get dpi
  * Add MANIFEST.in file
  * Added test_suite keyword
  * Created __init__.py in test directory
  * Make imagesize a module
* Wed Apr  5 2017 tbechtold@suse.com
- Fix python_module macro definition
* Sat Mar 11 2017 jengelh@inai.de
- Typographic corrections to descriptions
* Mon Dec 19 2016 jmatejek@suse.com
- update for multipython build
* Sun May 29 2016 michael@stroeder.com
- initial version
